program testgui;

uses gui3d,dos;

var id:word;
    found:boolean;
    x:integer;
    lne:string;
    theta:real;
    row,col:word;
var
  DirInfo: SearchRec;
begin
start_gui;
load_user_icons('demo.icn');
set_sizepos(150,50,300,200);
set_bars(true,true);
open_cube('cosine wave');
graffoff;
set_font(2);
set_point(4);
print(100,100,'These are Strigs (or String Boxes');
select_side(1);
line(100,110,300,110);
place_stringbox('test1',100,120,'red');
place_stringbox('test1',100,140,'green');
place_stringbox('test1',100,160,'blue');
set_point(4);
select_side(2);
set_point(2);
set_font(2);

{let's put a catalogue of disks from the current directory}
row:=1;
col:=1;

  FindFirst('*.exe', Archive, DirInfo);
  while DosError = 0 do
  begin
    place_picbutton(DirInfo.Name,col*80,row*80,-100,1,dirinfo.name,true);
    FindNext(DirInfo);
    col:=col+1;
    if col=4 then begin
                  col:=1;
                  row:=row+1;
                  end;
    end; {while}


graffon;
select_side(3);

theta:=0;
x:=30;
colour(3);

       while theta<32 do begin
       line(x,50,x,round(cos(theta)*20+100));
       x:=x+5;
       theta:=theta+0.1;
       end; {while}
colour(1);
set_point(5);
set_font(2);
print(200,70,'This is a cosine waveform');


set_sizepos(400,50,150,50);
set_bars(false,true);
open_cube('files');
set_point(6);
set_font(2);
for x:=1 to 15 do begin
str(x,lne);
print(5,x*16+5,'filename> '+lne);
end; {for}

set_sizepos(10,50,150,50);
set_bars(true,false);
open_cube('title');
set_point(8);

colour(5);
print(0,0,'Demo Code');


set_bars(true,true);
set_sizepos(100,100,200,200);
open_cube('icons');
graffoff;
select_side(2);
place_knob('power',20,120,5,'SCALE');
place_knob('power2',100,120,2,'STEP');
place_knob('power2',180,120,2,'Vibrations');
select_side(1);
graffon;
place_button('f',20,20,'Draw');
place_button('y',75,20,'nothing');
place_button('c',20,70,'zilch');
place_button('k',75,70,'Exit');
place_onoffbutton('t1',75,120,true);
place_onoffbutton('t2',75,140,true);
place_onoffbutton('t3',75,160,true);
graffoff;

use_mouse;
select_side(1);
graffon;

repeat
emulate_desktop;
if button('f') then begin
                       select_cube('status');
                       colour(2);
                       print(20,50,'hello');
                       line(0,0,200,200);
                       end;

if button('c') then begin
                    select_cube('cosine wave');
                    clearside;
                    end;

if button('zz') then begin
                     select_cube('status');
                     clearside;
                     print(5,5,'You have clicked the speaker');
                     end;

until button('k');
close_system;
end.